# SearchMaster

## Overview

`SearchMaster` is a Python library that helps you search for files with a specified name across all available drives on your system. Whether you're looking for a specific document, image, or any other file type, `SearchMaster` can help you locate it quickly and efficiently.

## Features

- **Cross-Drive Search:** Searches across all mounted drives on your system, ensuring comprehensive file discovery.
- **Efficient File Locating:** Uses optimized search algorithms to quickly locate files, even in systems with vast amounts of data.
- **User-Friendly Output:** Provides clear and concise output, listing the full paths of the located files and the total number of matches found.
- **Customizable Search Parameters:** Allows you to specify the file name or pattern you are looking for, making it versatile for different search needs.
- **Error Handling:**  Includes robust error handling to manage issues like inaccessible directories or read permissions.

## Demo

!<img width="559" alt="example" src="https://github.com/user-attachments/assets/ec60461c-0df7-4fbd-b2b6-cd4c367d8406">

## Badges
![MIT License](https://img.shields.io/badge/License-MIT-green.svg)



## 🚀 About Me

👋 Hi there! I'm Deepanshu, a passionate software developer with a broad range of skills in various programming languages and technologies. I thrive on solving complex problems, building efficient solutions, and continuously learning and growing in the tech world.


## Requirements

- Python 3.x
- `psutil` library

## Installation

1. **Clone the repository:**

   ```sh
   git clone https://github.com/deepanshu414/find_all.git
   ```
2. **You can install SearchMaster using pip:**

   ```sh
   pip install SearchMaster

   ```

## Usage/Examples

Here's how to use the `SearchMaster` library to search for a file named `example.txt`:

```python
from SearchMaster import search

def main():
   # Define the file name or pattern to search for
   file_name = "example.txt"
   
   # Perform the search operation
   # The search function will return a list of paths where the file is located
   search_results = search(file_name)

if __name__ == "__main__":
    main()

```
## 🔗 Links
   [![Github](https://img.shields.io/badge/GitHub-100000?style=for-the-badge&logo=github&logoColor=white)](https://github.com/deepanshu414)
   [![twitter](https://img.shields.io/badge/twitter-1DA1F2?style=for-the-badge&logo=twitter&logoColor=white)](https://x.com/DeepanshuA80670)
   [![linkedin](https://img.shields.io/badge/linkedin-0A66C2?style=for-the-badge&logo=linkedin&logoColor=white)](https://www.linkedin.com/in/deepanshu-antil-865508263)


## Support

For support, email deepanshuantil4113@gmail.com

   
